/* fonts */
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,400;0,500;0,600;0,800;0,900;1,300;1,600;1,800;1,900&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', 'sans-serif';
    scroll-behavior: smooth;
}

/* header */
header{
    height: 100vh;
    width: 300px;
    padding: 12px 30px;
    background-color: rgb(59, 89, 155);
    overflow-y: auto;
    position: fixed;
    left: 0;
    top: 0;
    bottom: 0;
    transition: 0.4s;
    z-index: 99;
}

header .profile{
    text-align: center;
    margin: 5px 0;
}

header .profile img{
    width: 150px;
    border-radius: 50%;
    border: 8px solid #bcbebb;
}

header .profile h1{
    color: white;
    font-weight: 600;
    line-height: 1;
}
header .socialIcons{
    padding-top: 10px;
}

header .profile .socialIcons a{
    display: inline-block;
    width: 35px;
    height: 35px;
    border-radius: 50%;
    text-align: center;
    line-height: 37px;
    background-color: blanchedalmond;
    color: rgb(15, 17, 37);
    font-size: 18px;
    margin: 1.5px;
    transition: 0.4s;
}

header .profile .socialIcons a:hover{
    background-color: rgb(166, 236, 119);
}


/* header nav part */
header nav{
    margin-top: 5px;
}

header nav ul{
    list-style: none;
    padding: 0;
}

header nav ul li a{
    display: inline-block;
    text-decoration: none;
    padding: 7px 10px;
    margin: 7px 0;
    color: white;
    font-weight: 400;
    font-size: 15px;
    letter-spacing: 0.6px;
}

header nav ul li a i{
    margin-right: 10px;
    font-size: 20px;
    transition: 0.4s;
}

header nav ul li a:hover i{
    color: aquamarine;
}

header nav ul li .active i{
    color: aquamarine;
}

/* nav toggle for mobile */
#MenuBtn{
    position: fixed;
    top: 25px;
    right: 25px;
    font-size: 20px;
    width: 40px;
    height: 40px;
    color: white;
    background-color: rgb(90, 87, 243);
    text-align: center;
    line-height: 42px;
    border-radius: 50%;
    box-shadow: 0 0 20px rgba(0, 0, 0, 20%);
    display: none;
    z-index: 999;
}

/* responsive view nav */
@media only screen and (max-width: 1050px){
    header{
        left: -300px;
    }

    #MenuBtn{
        display: block;
    }
}

.mobile-nav-active header{
    left: 0;
}


/* home */

main{
    margin-left: 300px;
    transition: 0.3s;
    background-color: rgb(225, 235, 235);
}

/* responsive view home */
@media only screen and (max-width: 1050px) {
    main{
        margin-left: 0;
    }
}

#home{
    height: 100vh;
    width: 100%;
    background-image: url(img/pro2.jpg);
    background-size: cover;
    background-attachment: fixed;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 70px;
    position: relative;
}

/* ovrlay */
#home ::before{
    content: '';
    width: 100%;
    height: 100%;
    background-color: rgba(41, 41, 41, 0.096);
    position: absolute;
    top: 0;
    left: 0;
}

#home .homeRow{
    z-index: 1;
}

#home .homeRow h1{
    font-size: 58px;
    color: rgb(12, 12, 12);
    font-weight: 600;
    letter-spacing: -1px;
    margin-bottom: 10px;
    line-height: 70px;
}

#home .homeRow h1 span{
    color: rgb(44, 47, 233);
}

#home .homeRow p{
    color: rgb(153, 157, 160);
    font-size: 35px;
    font-weight: 500;
} 

#home .homeRow p span{
    border-bottom: 4px solid rgb(48, 247, 107);
}

/* mobile view home */
@media only screen and (max-width: 760px){
    #home{
        padding: 60px;
    }
    #home .homeRow h1{
        font-size: 40px;
        font-weight: 600;
        letter-spacing: 0;
        line-height: 50px;
    }

    #home .homeRow h1 br{
        display: none;
    }

    #home .homeRow p{
        color: rgb(153, 157, 160);
        font-size: 20px;
        font-weight: 500;
    }
}

/* about me */
#about{
    padding: 70px 30px;
}

/* header and underline for all the sub headings */
.sub-head{
    color: black;
    font-size: 30px;
    margin-bottom: 10px;
}

.under-line{
    background-color: rgb(72, 216, 115);
    width: 80px;
    height: 4px;
    border-radius: 3px;
}
/* == */

/* global paragraph after topic */
.para{
    color: black;
    font-size: 15px;
    letter-spacing: 0.4px;
    font-weight: 400;
    margin-top: 18px;
}

#about .info{
    display: flex;
    gap: 40px;
    margin-top: 25px;
    width: 100%;
    justify-content: center;
}

#about .info .icon-list ul li{
    list-style: none;
    margin: 20px 10px;
}

#about .info .icon-list ul li i{
    color: rgb(18, 151, 58);
}

#about .info .icon-list ul li strong{
    color: black;
    font-weight: 600;
    margin-right: 2px;
    font-size: 22px;
}

#about .info .icon-list ul li span{
    color: rgb(89, 94, 97);
    font-weight: 500;
    font-size: 18px;
}

#about .info .icon-list ul li a{
    text-decoration: none;
}

/* mibile view for about */
@media only screen and (max-width: 780px){
    #about{
        padding: 50px 20px;
    }

    .para{
        font-size: 14px;
        letter-spacing: 0px;
        text-align: justify;
    }
    
    #about .info{
        flex-direction: column;
        gap: 0;
    }

    #about .info .icon-list ul li{
        margin: 5px 8px;
    }

    #about .info .icon-list ul li strong{
        font-weight: 500;
        margin-right: 0px;
        font-size: 16px;
    }

    #about .info .icon-list ul li span{
        font-weight: 400;
        font-size: 14px;
    }
}

/* education */
#education{
    padding: 30px 30px;
}

#education .buttons{
    padding: 0;
    margin: 0;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#education .buttons .toggleBut1, .toggleBut2{
    width: 70%;
    flex: 1;
    justify-content: center;
    margin-top: 30px;
    padding: 5px 0;
    cursor: pointer;
    border-radius: 30px;
    font-weight: 600;
    font-size: 20px;
    background-color: rgb(85, 233, 152);
    box-shadow: 0px 10px 6px rgba(0, 0, 0, 0.411);
    border: none;
}

#education .buttons .content1,
#education .buttons .content2 {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.9s ease-in-out;
}

#education .buttons .content1 ul li{
    list-style: none;
    margin-top: 30px;
}
#education .buttons .content2 ul li{
    list-style: none;
    margin-top: 30px;
    margin-bottom: 20px;
}

.level-bar {
    width: 400px;
    height: 10px;
    background-color: #42424263;
    border-radius: 5px;
    margin-top: 5px;
}

.level {
    height: 100%;
    border-radius: 15px;
    background-color: #0026ff;
}

/* mobile view for education */
@media only screen and (max-width: 770px){
    .level-bar {
        width: 300px;
    }
    #education{
        padding: 30px 20px;
    }
    
}

@media only screen and (max-width: 550px){
    .level-bar {
        width: 220px;
    }

    #education .buttons .content1,
    #education .buttons .content2 {
        font-size: 14px;
    }

    #education .buttons .toggleBut1, .toggleBut2{
        margin-top: 25px;
        padding: 3px 0;
        font-weight: 500;
    }

    #education .buttons .content1 ul li{
        margin-top: 20px;
    }
    #education .buttons .content2 ul li{
        margin-top: 20px;
        margin-bottom: 15px;
    }

}

/* projects */
#projects{
    padding: 70px 30px;
}

.project-container{
    margin-top: 50px;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 35px;
    text-align: center;
}

.project-info a{
    text-decoration: none;
}
.project-img img{
    border-radius: 40px;
    width: 300px;
}

@media only screen and (max-width: 700px){
    .project-img img{
        border-radius: 40px;
        width: 200px;
    }
}

@media only screen and (max-width: 510px){
    .project-container{
        margin-top: 50px;
        grid-template-columns: repeat(1, 1fr);
        /* grid-gap: 35px; */
    }
}

/* contact */
#contact{
    padding: 40px 30px;
}

.contact-container{
    padding-top: 20px;
}

.contact-info{
    font-size: 20px;
    font-weight: 500;
    padding-top: 20px;
}
.contact-info span{
    margin-left: 15px;
    color: black;
}

.contact-info a{
    text-decoration: none;
}

.contact-info i{
    font-size: 30px;
}

/* footer */
#footer{
    padding-top: 40px;
}

footer {
    background-color: #c2c4ca;
    padding: 20px 0;
    text-align: center;
}

footer p {
    margin: 0;
    font-size: 14px;
    color: #777;
}
